## kookbook 0.2.1

=== CMakeLists.txt ===
project(kookbook)
cmake_minimum_required(VERSION 3.7)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
find_package(ECM REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(ECMInstallIcons)
include(ECMAddAppIcon)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(Qt5 COMPONENTS Widgets PrintSupport Qml)
find_package(Discount REQUIRED)

set(CMAKE_AUTOMOC on)
set(CMAKE_AUTORCC on)

enable_testing()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(converter)

=== autotests/CMakeLists.txt ===
find_package(Qt5 COMPONENTS Test)
add_subdirectory(parsertest)

=== converter/CMakeLists.txt ===

install(FILES krecipes.py DESTINATION ${KDE_INSTALL_DATADIR}/kookbook/doc/)

=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(desktop)
add_subdirectory(touch)

=== autotests/parsertest/CMakeLists.txt ===

add_executable(ingredientsextractortest ingredientsextractortest.cpp)
target_link_libraries(ingredientsextractortest PRIVATE Qt5::Test parser)
add_test(ingredientsextractortest ingredientsextractortest) 

add_executable(recipeparsertest recipeparsertest.cpp)
target_link_libraries(recipeparsertest PRIVATE Qt5::Test parser)
add_test(recipeparsertest recipeparsertest)

=== src/desktop/CMakeLists.txt ===


set(KOOKBOOK_ICONS_PNG
    ${CMAKE_SOURCE_DIR}/icons/16-apps-kookbook.png
    ${CMAKE_SOURCE_DIR}/icons/22-apps-kookbook.png
    ${CMAKE_SOURCE_DIR}/icons/32-apps-kookbook.png
    ${CMAKE_SOURCE_DIR}/icons/48-apps-kookbook.png
    ${CMAKE_SOURCE_DIR}/icons/64-apps-kookbook.png
    ${CMAKE_SOURCE_DIR}/icons/128-apps-kookbook.png
)

set(KOOKBOOK_ICONS_SVG
${CMAKE_SOURCE_DIR}/icons/sc-apps-kookbook.svgz
)

set(KOOKBOOK_SRCS main.cpp mainwindow.cpp ${CMAKE_SOURCE_DIR}/doc/docs.qrc ${CMAKE_SOURCE_DIR}/icons/icons.qrc)

ecm_add_app_icon(KOOKBOOK_SRCS ICONS ${KOOKBOOK_ICONS_PNG})

add_subdirectory(panes)

set(CMAKE_WIN32_EXECUTABLE on)
add_executable(kookbook ${KOOKBOOK_SRCS})

target_link_libraries(kookbook PRIVATE panes parser scanner activedocument)

install(TARGETS kookbook DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES kookbook.desktop DESTINATION ${KDE_INSTALL_APPDIR})
ecm_install_icons(ICONS ${KOOKBOOK_ICONS_PNG} ${KOOKBOOK_ICONS_SVG} DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

=== src/touch/CMakeLists.txt ===
add_executable(kookbooktouch
    main.cpp
    scanneradapter.cpp
    documentloader.cpp
    resources.qrc
    ${CMAKE_SOURCE_DIR}/doc/docs.qrc
    ${CMAKE_SOURCE_DIR}/icons/icons.qrc )
target_link_libraries(kookbooktouch PRIVATE Qt5::Qml Qt5::Gui scanner parser utils)
add_subdirectory(utils)

install(TARGETS kookbooktouch DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES kookbooktouch.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== src/core/parser/CMakeLists.txt ===

add_library(parser STATIC ingredientsextractor.cpp recipeparser.cpp recipedocument.cpp)
target_link_libraries(parser PUBLIC Qt5::Core Qt5::Gui PRIVATE discount::Lib)
target_include_directories(parser INTERFACE .)
target_include_directories(parser PUBLIC ..)

=== src/desktop/panes/CMakeLists.txt ===

add_library(panes STATIC metadatapane.cpp fspane.cpp mainpane.cpp rawviewpane.cpp panebase.cpp treepane.cpp listpane.cpp ingredientsparserpane.cpp)
target_link_libraries(panes PUBLIC Qt5::Widgets Qt5::PrintSupport PRIVATE parser activedocument)
target_include_directories(panes INTERFACE .)
target_include_directories(panes PUBLIC ..)

=== src/touch/utils/CMakeLists.txt ===
add_library(utils STATIC dirmodel.cpp standardpaths.cpp)
target_link_libraries(utils PUBLIC Qt5::Core Qt5::Qml)

=== debian/changelog ===
kookbook (0.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to debhelper-compat (= 13).
  * Set build option reproducible=-fixfilepath to prevent dpkg change from
    breaking test suite (Closes: #972308).

 -- Stuart Prescott <stuart@debian.org>  Sat, 09 Jan 2021 00:05:23 +1100

kookbook (0.2.1-1) unstable; urgency=medium

  * New upstream release.
    - drop local copy of krecipes converter.

 -- Stuart Prescott <stuart@debian.org>  Wed, 23 Jan 2019 23:54:56 +1100

kookbook (0.1.0-2) unstable; urgency=medium

  * Add patch to ensure that kookbooktouch is also installed.
  * Include extra dependencies needed for kookbooktouch.
  * Fix upstream URLs to point to kde.org.
  * Don't recommend users store data in ~/.local since the touch client can't
    navigate there in the folder selector.
  * Add missing licence for cmake files to d/copyright.

 -- Stuart Prescott <stuart@debian.org>  Fri, 18 Jan 2019 00:20:17 +1100

kookbook (0.1.0-1) unstable; urgency=medium

  * Initial release.
  * Add krecipes.py converter from upstream git to help users migrate away
    from krecipes and help with the qtwebkit removal.

 -- Stuart Prescott <stuart@debian.org>  Wed, 16 Jan 2019 23:18:33 +1100

=== debian/control ===
Source: kookbook
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libmarkdown2-dev,
 pkg-kde-tools,
 qtbase5-dev,
 qtdeclarative5-dev,
Homepage: https://cgit.kde.org/kookbook.git/tree/doc/intro.md
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kookbook.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kookbook
Rules-Requires-Root: no

Package: kookbook
Architecture: any
Depends:
  qml-module-org-kde-kirigami2,
  qml-module-qtquick-layouts,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 kwrite | editor,
Description: simple recipe manager taking structured markdown for recipes
 KookBook helps you curate your recipe collection, letting you browse recipes,
 search by title or ingredient to recall the details of your kitchen creations.
 .
 Recipes are written in markdown and stored in text files. A cookbook, or
 collection of recipes, is a folder structure containing one or more recipes.
 The folder structure can be used as one way to browse and group the recipes.
 .
 Recipes can be synced with devices or shared with other users using external
 tools like git repositories, nextcloud or many other services.
 .
 The package includes both the desktop "kookbook" program and an touchscreen
 version "kookbooktouch".
 .
 The package also includes a simple conversion utility that is able to convert
 a krecipes database into a set of kookbook markdown files. For more details,
 see /usr/share/doc/kookbook/README.Debian

=== debian/rules ===
#!/usr/bin/make -f

# Enable additional hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with=kf5

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://download.kde.org/unstable/kookbook/ kookbook-(\d\S*).tar.xz

## kookbook 0.2.1+p24.04+vstable+git20250928.0545

=== autotests/parsertest/CMakeLists.txt ===

ecm_add_test(ingredientsextractortest.cpp
    LINK_LIBRARIES
        Qt::Test
        parser
)

ecm_add_test(recipeparsertest.cpp
    LINK_LIBRARIES
        Qt::Test
        parser
)

=== src/core/CMakeLists.txt ===
find_package(Threads)

add_library(activedocument STATIC activedocument.cpp)
target_include_directories(activedocument PUBLIC .)
target_link_libraries(activedocument PUBLIC Qt::Core)

add_library(scanner STATIC scanner.cpp)
target_include_directories(scanner PUBLIC .)
target_link_libraries(scanner PUBLIC Qt::Core parser PRIVATE ${CMAKE_THREAD_LIBS_INIT})

add_subdirectory(parser)

=== src/desktop/panes/CMakeLists.txt ===

add_library(panes STATIC metadatapane.cpp fspane.cpp mainpane.cpp rawviewpane.cpp panebase.cpp treepane.cpp listpane.cpp ingredientsparserpane.cpp)
target_link_libraries(panes PUBLIC Qt::Widgets Qt::PrintSupport PRIVATE parser activedocument)
target_include_directories(panes INTERFACE .)
target_include_directories(panes PUBLIC ..)

=== src/touch/utils/CMakeLists.txt ===
add_library(utils STATIC dirmodel.cpp standardpaths.cpp)
target_link_libraries(utils PUBLIC Qt::Core Qt::Qml)

=== debian/changelog ===
kookbook (0.2.1+p24.04+vstable+git20250928.0545-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:45:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: kookbook
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders:
- Stuart Prescott <stuart@debian.org>,
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- extra-cmake-modules,
- libmarkdown2-dev,
- pkg-kde-tools,
- qtbase5-dev,
- qtdeclarative5-dev,
+Uploaders: Stuart Prescott <stuart@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               kf6-extra-cmake-modules,
+               libcups2-dev,
+               libmarkdown2-dev,
+               pkg-kde-tools-neon,
+               qt6-base-dev,
+               qt6-declarative-dev
 Homepage: https://cgit.kde.org/kookbook.git/tree/doc/intro.md
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kookbook.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kookbook
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Vcs-Git: https://invent.kde.org/neon/extras/kookbook.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kookbook
+Maintainer: Neon CI <neon@kde.org>
 
 Package: kookbook
 Architecture: any
-Depends:
-  qml-module-org-kde-kirigami2,
-  qml-module-qtquick-layouts,
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- kwrite | editor,
+Depends: qml6-module-org-kde-kirigami,
+         qml6-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: kwrite | editor
 Description: simple recipe manager taking structured markdown for recipes
  KookBook helps you curate your recipe collection, letting you browse recipes,
  search by title or ingredient to recall the details of your kitchen creations.

## kookbook 0.2.1+p24.04+vstable+git20251019.0348

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kookbook)

set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")

find_package(ECM ${KF_MIN_VERSION})
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMDeprecationSettings)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(Qt6 ${QT_MIN_VER} CONFIG REQUIRED COMPONENTS Widgets PrintSupport Qml)

ecm_set_disabled_deprecation_versions(QT 6.4
    KF 5.102
)

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(converter)

=== autotests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VER} CONFIG COMPONENTS Test)
add_subdirectory(parsertest)

=== src/desktop/CMakeLists.txt ===
--- 
+++ 
@@ -25,5 +25,6 @@
 target_link_libraries(kookbook PRIVATE panes parser scanner activedocument)
 
 install(TARGETS kookbook DESTINATION ${KDE_INSTALL_BINDIR})
-install(FILES kookbook.desktop DESTINATION ${KDE_INSTALL_APPDIR})
-ecm_install_icons(ICONS ${KOOKBOOK_ICONS_PNG} ${KOOKBOOK_ICONS_SVG} DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)
+install(FILES org.kde.kookbook.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+install(FILES org.kde.kookbook.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+ecm_install_icons(ICONS ${KOOKBOOK_ICONS_PNG} ${KOOKBOOK_ICONS_SVG} DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== src/touch/CMakeLists.txt ===
add_executable(kookbooktouch
    main.cpp
    scanneradapter.cpp
    documentloader.cpp
    resources.qrc
    ${CMAKE_SOURCE_DIR}/doc/docs.qrc
    ${CMAKE_SOURCE_DIR}/icons/icons.qrc )
target_link_libraries(kookbooktouch PRIVATE Qt::Qml Qt::Gui scanner parser utils)
add_subdirectory(utils)

install(TARGETS kookbooktouch DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES org.kde.kookbooktouch.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== src/core/parser/CMakeLists.txt ===

add_library(parser STATIC ingredientsextractor.cpp recipeparser.cpp recipedocument.cpp)
target_link_libraries(parser PUBLIC Qt::Core Qt::Gui)
target_include_directories(parser INTERFACE .)
target_include_directories(parser PUBLIC ..)

=== debian/changelog ===
kookbook (0.2.1+p24.04+vstable+git20251019.0348-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:48:32 +0000

## kookbook 0.2.1+p24.04+vstable+git20251109.0318

=== debian/changelog ===
kookbook (0.2.1+p24.04+vstable+git20251109.0318-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:18:02 +0000

## kookbook 0.2.1+p24.04+vstable+git20260126.0604

=== debian/changelog ===
kookbook (0.2.1+p24.04+vstable+git20260126.0604-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:04:56 +0000

## kookbook 0.2.1+p24.04+vunstable+git20251009.0349

=== debian/changelog ===
kookbook (0.2.1+p24.04+vunstable+git20251009.0349-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 03:49:03 +0000

## kookbook 0.2.1+p24.04+vunstable+git20251020.0145

=== debian/changelog ===
kookbook (0.2.1+p24.04+vunstable+git20251020.0145-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:45:42 +0000

## kookbook 0.2.1+p24.04+vunstable+git20260129.0229

=== debian/changelog ===
kookbook (0.2.1+p24.04+vunstable+git20260129.0229-0) noble; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:29:42 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
          qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: kwrite | editor
+Recommends: editor
 Description: simple recipe manager taking structured markdown for recipes
  KookBook helps you curate your recipe collection, letting you browse recipes,
  search by title or ingredient to recall the details of your kitchen creations.
